> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/brand-api-reference/reference/action-inquiries/action-inquiries.md).

# Action Inquiries

## List All Action Inquiries

> Returns a list of the action inquiries made for your campaign, filtered by the provided parameters. The inquiries are returned by creation date, with the most recent appearing first.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Action Inquiries","version":"v14"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/ActionInquiries":{"get":{"summary":"List All Action Inquiries","description":"Returns a list of the action inquiries made for your campaign, filtered by the provided parameters. The inquiries are returned by creation date, with the most recent appearing first.","operationId":"listActionInquiries","tags":["Action Inquiries"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"CampaignId","in":"query","required":true,"description":"The ID of the campaign (program) to view action inquiries for.","schema":{"type":"integer"}},{"name":"StartDate","in":"query","description":"Filters for inquiries created on or after this date (ISO 8601).","schema":{"type":"string","format":"date-time"}},{"name":"EndDate","in":"query","description":"Filters for inquiries created on or before this date (ISO 8601).","schema":{"type":"string","format":"date-time"}},{"name":"TransactionDateStart","in":"query","description":"Filters for inquiries with a transaction date on or after this value.","schema":{"type":"string","format":"date-time"}},{"name":"TransactionDateEnd","in":"query","description":"Filters for inquiries with a transaction date on or before this value.","schema":{"type":"string","format":"date-time"}},{"name":"MediaPartnerId","in":"query","description":"Filters inquiries to a specific partner by their ID.","schema":{"type":"integer"}},{"name":"OrderId","in":"query","description":"Filters for inquiries associated with a specific order ID.","schema":{"type":"string"}},{"name":"ResolutionStatus","in":"query","description":"Filters inquiries by their resolution status.","schema":{"type":"string","enum":["UNRESOLVED","VALID","DECLINED","INCOMPLETE"]}}],"responses":{"200":{"description":"A paginated list of action inquiry objects.","content":{"application/json":{"schema":{"type":"object","properties":{"@page":{"type":"string"},"ActionInquiries":{"type":"array","items":{"$ref":"#/components/schemas/ActionInquiry"}}}}}}}}}}},"components":{"schemas":{"ActionInquiry":{"type":"object","properties":{"Id":{"type":"integer","description":"Unique identifier for the action inquiry."},"CampaignId":{"type":"integer","description":"Unique identifier for the associated campaign."},"CampaignName":{"type":"string"},"MediaPartnerId":{"type":"integer","description":"Unique identifier for the partner who created the inquiry."},"MediaPartnerName":{"type":"string"},"OrderId":{"type":"string","description":"Your unique identifier for the consumer order."},"TransactionDate":{"type":"string","format":"date-time"},"TransactionAmount":{"type":"number","format":"decimal"},"InquiryType":{"type":"string","enum":["UNTRACKED","INCORRECT","DECLINED"]},"ExpectedPayout":{"type":"number","format":"decimal"},"ResolutionDeadlineDate":{"type":"string","format":"date-time"},"Comments":{"type":"array","items":{"type":"object","properties":{"User":{"type":"string"},"Comment":{"type":"string"},"Date":{"type":"string","format":"date-time"}}}},"TrackingLink":{"type":"string","format":"uri"},"ActionId":{"type":"string"},"ActionUri":{"type":"string","format":"uri-reference"},"AutoApprovalDate":{"type":"string","format":"date-time"},"ResolutionStatus":{"type":"string","enum":["UNRESOLVED","VALID","DECLINED","INCOMPLETE"],"description":"Only returns action inquiries that match the specified resolution status."},"RejectReason":{"type":"string","nullable":true,"enum":["This transaction has been tracked successfully","Another marketing channel was credited with the sale","Another marketing channel was credited with the sale, due to a voucher/discount code used","Did not meet terms and conditions set by merchant","Transaction not completed - Order cancelled, changed, or returned","Transaction cannot be traced","Transaction not fully completed online","Enquiry does not provide complete information required for evaluation","Other"]},"FinalPayout":{"type":"number","format":"decimal","nullable":true},"ResolutionDate":{"type":"string","format":"date-time","nullable":true},"CreationDate":{"type":"string","format":"date-time"},"Uri":{"type":"string","format":"uri-reference"}}}}}}
```

## Update an Action Inquiry

> Updates an action inquiry by setting its resolution status and other related parameters.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Action Inquiries","version":"v14"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/ActionInquiries":{"put":{"summary":"Update an Action Inquiry","description":"Updates an action inquiry by setting its resolution status and other related parameters.","operationId":"updateActionInquiry","tags":["Action Inquiries"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The details for resolving the action inquiry.","required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/ActionInquiryUpdateRequest"}}}},"responses":{"200":{"description":"The request was successful.","content":{"application/json":{"schema":{"type":"object","properties":{"Status":{"type":"string"},"Uri":{"type":"string","format":"uri-reference"}}}}}}}}}},"components":{"schemas":{"ActionInquiryUpdateRequest":{"type":"object","required":["Id","ResolutionStatus"],"properties":{"Id":{"type":"integer","description":"Unique identifier for the action inquiry to update."},"ResolutionStatus":{"type":"string","description":"The new resolution status for the inquiry.","enum":["VALID","DECLINED","INCOMPLETE"]},"RejectReason":{"type":"string","description":"Required if ResolutionStatus is 'DECLINED'.","enum":["This transaction has been tracked successfully","Another marketing channel was credited with the sale","Another marketing channel was credited with the sale, due to a voucher/discount code used","Did not meet terms and conditions set by merchant","Transaction not completed - Order cancelled, changed, or returned","Transaction cannot be traced","Transaction not fully completed online","Enquiry does not provide complete information required for evaluation","Other"]},"ActionTrackerId":{"type":"integer","description":"Required if ResolutionStatus is 'VALID'. Unique ID for the event type."},"ResolutionNotes":{"type":"string","description":"Optional notes about the resolution for the partner to see."},"TransactionAmount":{"type":"number","format":"decimal","description":"Overrides the transaction amount provided by the partner."},"FinalPayout":{"type":"number","format":"decimal","description":"Manually sets the final payout, overriding system calculations."},"TransactionDate":{"type":"string","format":"date-time","description":"Specifies a new transaction date."},"ItemSku[i]":{"type":"string","description":"Indexed parameter for item SKU (e.g., ItemSku1, ItemSku2)."},"ItemCategory[i]":{"type":"string","description":"Indexed parameter for item category."},"ItemName[i]":{"type":"string","description":"For a VALID action inquiry, specifies the name of the item. This information can also be automatically appended through uploading a product catalog. impact.com highly recommends submitting this parameter when approving action inquiries to maintain accurate records & reporting."},"ItemSubCategory[i]":{"type":"string","description":"The sub-category for the item."},"ItemMPN[i]":{"type":"string","description":"Manufacturer Part Number for the item; primarily used for retail sales."},"ItemTotalRebate[i]":{"type":"number","format":"decimal","description":"Discount applied to this line item (not just for each product of this type)."},"ItemQty[i]":{"type":"integer","description":"Indexed parameter for item quantity."},"ItemSubtotal[i]":{"type":"number","format":"decimal","description":"Indexed parameter for item subtotal."},"PromoCode":{"type":"string","description":"Specifies the promo code used."},"CustomerId":{"type":"string","description":"Your unique, non-PII customer identifier."}}}}}}
```

## Get Action Inquiry Details

> Retrieves the details of an existing action inquiry by its unique ID.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Action Inquiries","version":"v14"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/ActionInquiries/{InquiryId}":{"get":{"summary":"Get Action Inquiry Details","description":"Retrieves the details of an existing action inquiry by its unique ID.","operationId":"getActionInquiryById","tags":["Action Inquiries"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"InquiryId","in":"path","required":true,"description":"The unique identifier for the action inquiry.","schema":{"type":"integer"}}],"responses":{"200":{"description":"An action inquiry object.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ActionInquiry"}}}}}}}},"components":{"schemas":{"ActionInquiry":{"type":"object","properties":{"Id":{"type":"integer","description":"Unique identifier for the action inquiry."},"CampaignId":{"type":"integer","description":"Unique identifier for the associated campaign."},"CampaignName":{"type":"string"},"MediaPartnerId":{"type":"integer","description":"Unique identifier for the partner who created the inquiry."},"MediaPartnerName":{"type":"string"},"OrderId":{"type":"string","description":"Your unique identifier for the consumer order."},"TransactionDate":{"type":"string","format":"date-time"},"TransactionAmount":{"type":"number","format":"decimal"},"InquiryType":{"type":"string","enum":["UNTRACKED","INCORRECT","DECLINED"]},"ExpectedPayout":{"type":"number","format":"decimal"},"ResolutionDeadlineDate":{"type":"string","format":"date-time"},"Comments":{"type":"array","items":{"type":"object","properties":{"User":{"type":"string"},"Comment":{"type":"string"},"Date":{"type":"string","format":"date-time"}}}},"TrackingLink":{"type":"string","format":"uri"},"ActionId":{"type":"string"},"ActionUri":{"type":"string","format":"uri-reference"},"AutoApprovalDate":{"type":"string","format":"date-time"},"ResolutionStatus":{"type":"string","enum":["UNRESOLVED","VALID","DECLINED","INCOMPLETE"],"description":"Only returns action inquiries that match the specified resolution status."},"RejectReason":{"type":"string","nullable":true,"enum":["This transaction has been tracked successfully","Another marketing channel was credited with the sale","Another marketing channel was credited with the sale, due to a voucher/discount code used","Did not meet terms and conditions set by merchant","Transaction not completed - Order cancelled, changed, or returned","Transaction cannot be traced","Transaction not fully completed online","Enquiry does not provide complete information required for evaluation","Other"]},"FinalPayout":{"type":"number","format":"decimal","nullable":true},"ResolutionDate":{"type":"string","format":"date-time","nullable":true},"CreationDate":{"type":"string","format":"date-time"},"Uri":{"type":"string","format":"uri-reference"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/reference/action-inquiries/action-inquiries.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
